> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List issues

> List issues for a project. By default, returns issues at or above the frequency cutoff. Pass expanded=true for less-common issues and include_context=true for dashboard metric context. expand=dashboard and projection=dashboard are deprecated aliases.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /issues
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues:
    get:
      tags:
        - Issues
      summary: List issues
      description: >-
        List issues for a project. By default, returns issues at or above the
        frequency cutoff. Pass expanded=true for less-common issues and
        include_context=true for dashboard metric context. expand=dashboard and
        projection=dashboard are deprecated aliases.
      operationId: list_issues
      parameters:
        - name: project_id
          in: query
          required: true
          description: Project ID.
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: >-
            Canonical issue status filter. Omit to list active open and
            in-progress issues.
          schema:
            type: string
            enum:
              - open
              - in_progress
              - resolved
              - dismissed
        - name: limit
          in: query
          required: false
          description: Maximum number of records to return.
          schema:
            type: integer
            minimum: 1
        - name: offset
          in: query
          required: false
          description: Number of records to skip.
          schema:
            type: integer
            minimum: 0
        - name: include_context
          in: query
          required: false
          description: Return dashboard metric context.
          schema:
            type: boolean
        - name: expanded
          in: query
          required: false
          description: Include less-common issues below the project frequency cutoff.
          schema:
            type: boolean
        - name: expand
          in: query
          required: false
          description: >-
            Deprecated. Use include_context=true. dashboard returns dashboard
            metric context.
          schema:
            type: string
            enum:
              - dashboard
        - name: projection
          in: query
          required: false
          description: Deprecated alias. Use include_context=true.
          schema:
            type: string
            enum:
              - dashboard
      responses:
        '200':
          description: Issues list or dashboard issues
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            project_id:
                              type: string
                            agent_name:
                              type:
                                - string
                                - 'null'
                            name:
                              type: string
                            category:
                              anyOf:
                                - type: string
                                  enum:
                                    - retry_loop
                                    - integration_failure
                                    - skipped_work
                                    - misread_instruction
                                    - out_of_scope_work
                                    - instruction_violation
                                    - hallucination
                                    - communication
                                - type: string
                                  const: unknown
                            subsystem:
                              type:
                                - string
                                - 'null'
                            failure_class:
                              type:
                                - string
                                - 'null'
                            canonical_mechanism:
                              type:
                                - string
                                - 'null'
                            status:
                              type: string
                              enum:
                                - open
                                - in_progress
                                - resolved
                                - dismissed
                            regressed_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            created_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            updated_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            assignee_user_id:
                              type:
                                - string
                                - 'null'
                            confirmed_by:
                              type:
                                - string
                                - 'null'
                            confirmed_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            confirmation_verdict:
                              type:
                                - string
                                - 'null'
                              enum:
                                - agreed_with_validation
                                - overrode_inconclusive
                                - overrode_invalid
                                - null
                            flagged:
                              type: boolean
                            tags:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  color:
                                    type: string
                                required:
                                  - id
                                  - name
                                  - color
                                additionalProperties: false
                            notifiable:
                              type: boolean
                            needs_review:
                              type: boolean
                            introduced_in_release:
                              type:
                                - string
                                - 'null'
                            last_seen_in_release:
                              type:
                                - string
                                - 'null'
                            first_seen_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            last_seen_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            occurrence_count:
                              type: number
                            trace_count:
                              type: number
                            validation:
                              type:
                                - object
                                - 'null'
                              properties:
                                status:
                                  type: string
                                  enum:
                                    - valid
                                    - invalid
                                    - inconclusive
                                    - failed
                                    - not_run
                              required:
                                - status
                              additionalProperties: false
                            raw_lane_scores:
                              type:
                                - object
                                - 'null'
                              properties:
                                impact_occurrences:
                                  type: number
                                impact_project_occurrences:
                                  type: number
                                impact_project_traces:
                                  type: number
                                impact_occurrence_share:
                                  type: number
                                impact_affected_traces:
                                  type: number
                                impact_trace_share:
                                  type: number
                                impact_trace_share_lower:
                                  type: number
                                impact_judged_traces:
                                  type: number
                                spike_current:
                                  type: number
                                spike_baseline:
                                  type: number
                                spike_ratio:
                                  type: number
                                spike_baseline_count:
                                  type: number
                                spike_baseline_exposure:
                                  type: number
                                spike_current_exposure:
                                  type: number
                                persistence_span_days:
                                  type: number
                                persistence_active_days:
                                  type: number
                                resolution_floor:
                                  type:
                                    - number
                                    - 'null'
                              required:
                                - impact_occurrences
                                - impact_project_occurrences
                                - impact_project_traces
                                - impact_occurrence_share
                                - impact_affected_traces
                                - impact_trace_share
                                - impact_trace_share_lower
                                - impact_judged_traces
                                - spike_current
                                - spike_baseline
                                - spike_ratio
                                - spike_baseline_count
                                - spike_baseline_exposure
                                - spike_current_exposure
                                - persistence_span_days
                                - persistence_active_days
                                - resolution_floor
                              additionalProperties: false
                            metric_flags:
                              type: object
                              properties:
                                impact:
                                  type:
                                    - boolean
                                    - 'null'
                                spike:
                                  type:
                                    - boolean
                                    - 'null'
                                persistence:
                                  type:
                                    - boolean
                                    - 'null'
                              required:
                                - impact
                                - spike
                                - persistence
                              additionalProperties: false
                          required:
                            - id
                            - project_id
                            - agent_name
                            - name
                            - category
                            - subsystem
                            - failure_class
                            - canonical_mechanism
                            - status
                            - regressed_at
                            - created_at
                            - updated_at
                            - assignee_user_id
                            - confirmed_by
                            - confirmed_at
                            - confirmation_verdict
                            - flagged
                            - tags
                            - notifiable
                            - needs_review
                            - first_seen_at
                            - last_seen_at
                            - occurrence_count
                            - trace_count
                            - validation
                            - raw_lane_scores
                            - metric_flags
                          additionalProperties: false
                      total:
                        type: number
                      limit:
                        type: number
                      offset:
                        type: number
                      has_more:
                        type: boolean
                      frequency_cutoff:
                        type:
                          - object
                          - 'null'
                        properties:
                          occurrence_count:
                            type: integer
                            minimum: 2
                          rank:
                            type: integer
                            exclusiveMinimum: 0
                        required:
                          - occurrence_count
                          - rank
                        additionalProperties: false
                      below_cutoff_count:
                        type: integer
                        minimum: 0
                      expanded:
                        type: boolean
                    required:
                      - issues
                      - total
                      - limit
                      - offset
                      - has_more
                      - frequency_cutoff
                      - below_cutoff_count
                      - expanded
                    additionalProperties: false
                  - type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                              enum:
                                - open
                                - in_progress
                                - resolved
                                - dismissed
                            regressed_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            agent_name:
                              type:
                                - string
                                - 'null'
                            category:
                              anyOf:
                                - type: string
                                  enum:
                                    - retry_loop
                                    - integration_failure
                                    - skipped_work
                                    - misread_instruction
                                    - out_of_scope_work
                                    - instruction_violation
                                    - hallucination
                                    - communication
                                - type: string
                                  const: unknown
                            subsystem:
                              type:
                                - string
                                - 'null'
                            failure_class:
                              type:
                                - string
                                - 'null'
                            canonical_mechanism:
                              type:
                                - string
                                - 'null'
                            first_seen_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            last_seen_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            occurrence_count:
                              type: number
                            trace_count:
                              type: number
                            introduced_in_release:
                              type:
                                - string
                                - 'null'
                            last_seen_in_release:
                              type:
                                - string
                                - 'null'
                            validation:
                              type:
                                - object
                                - 'null'
                              properties:
                                status:
                                  type: string
                                  enum:
                                    - valid
                                    - invalid
                                    - inconclusive
                                    - failed
                                    - not_run
                              required:
                                - status
                              additionalProperties: false
                            raw_lane_scores:
                              type:
                                - object
                                - 'null'
                              properties:
                                impact_occurrences:
                                  type: number
                                impact_project_occurrences:
                                  type: number
                                impact_project_traces:
                                  type: number
                                impact_occurrence_share:
                                  type: number
                                impact_affected_traces:
                                  type: number
                                impact_trace_share:
                                  type: number
                                impact_trace_share_lower:
                                  type: number
                                impact_judged_traces:
                                  type: number
                                spike_current:
                                  type: number
                                spike_baseline:
                                  type: number
                                spike_ratio:
                                  type: number
                                spike_baseline_count:
                                  type: number
                                spike_baseline_exposure:
                                  type: number
                                spike_current_exposure:
                                  type: number
                                persistence_span_days:
                                  type: number
                                persistence_active_days:
                                  type: number
                                resolution_floor:
                                  type:
                                    - number
                                    - 'null'
                              required:
                                - impact_occurrences
                                - impact_project_occurrences
                                - impact_project_traces
                                - impact_occurrence_share
                                - impact_affected_traces
                                - impact_trace_share
                                - impact_trace_share_lower
                                - impact_judged_traces
                                - spike_current
                                - spike_baseline
                                - spike_ratio
                                - spike_baseline_count
                                - spike_baseline_exposure
                                - spike_current_exposure
                                - persistence_span_days
                                - persistence_active_days
                                - resolution_floor
                              additionalProperties: false
                            metric_flags:
                              type: object
                              properties:
                                impact:
                                  type:
                                    - boolean
                                    - 'null'
                                spike:
                                  type:
                                    - boolean
                                    - 'null'
                                persistence:
                                  type:
                                    - boolean
                                    - 'null'
                              required:
                                - impact
                                - spike
                                - persistence
                              additionalProperties: false
                            assignee_user_id:
                              type:
                                - string
                                - 'null'
                            confirmed_by:
                              type:
                                - string
                                - 'null'
                            confirmed_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                            confirmation_verdict:
                              type:
                                - string
                                - 'null'
                              enum:
                                - agreed_with_validation
                                - overrode_inconclusive
                                - overrode_invalid
                                - null
                            flagged:
                              type: boolean
                            tags:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  name:
                                    type: string
                                  color:
                                    type: string
                                required:
                                  - id
                                  - name
                                  - color
                                additionalProperties: false
                            notifiable:
                              type: boolean
                            needs_review:
                              type: boolean
                          required:
                            - id
                            - name
                            - status
                            - regressed_at
                            - agent_name
                            - category
                            - subsystem
                            - failure_class
                            - canonical_mechanism
                            - first_seen_at
                            - last_seen_at
                            - occurrence_count
                            - trace_count
                            - validation
                            - raw_lane_scores
                            - metric_flags
                            - assignee_user_id
                            - confirmed_by
                            - confirmed_at
                            - confirmation_verdict
                            - flagged
                            - tags
                            - notifiable
                            - needs_review
                          additionalProperties: false
                      frequency_cutoff:
                        type:
                          - object
                          - 'null'
                        properties:
                          occurrence_count:
                            type: integer
                            minimum: 2
                          rank:
                            type: integer
                            exclusiveMinimum: 0
                        required:
                          - occurrence_count
                          - rank
                        additionalProperties: false
                      below_cutoff_count:
                        type: integer
                        minimum: 0
                      expanded:
                        type: boolean
                    required:
                      - issues
                      - frequency_cutoff
                      - below_cutoff_count
                      - expanded
                    additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````